
From: Peter Osterlund <petero2@telia.com>

This patch removes an unused variable in the synaptics_data struct and deletes
a no longer helpful comment.  I don't think this has been used since the very
first synaptics kernel patch I submitted that did all processing in kernel
space instead of delegating most of it to the X server.

Signed-off-by: Peter Osterlund <petero2@telia.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/input/mouse/synaptics.h |    2 --
 1 files changed, 2 deletions(-)

diff -puN drivers/input/mouse/synaptics.h~synaptics-remove-unused-struct-member-variable drivers/input/mouse/synaptics.h
--- 25/drivers/input/mouse/synaptics.h~synaptics-remove-unused-struct-member-variable	Tue Jan  4 15:46:26 2005
+++ 25-akpm/drivers/input/mouse/synaptics.h	Tue Jan  4 15:46:26 2005
@@ -101,8 +101,6 @@ struct synaptics_data {
 	unsigned long int ext_cap; 		/* Extended Capabilities */
 	unsigned long int identity;		/* Identification */
 
-	/* Data for normal processing */
-	int old_w;				/* Previous w value */
 	unsigned char pkt_type;			/* packet type - old, new, etc */
 	unsigned char mode;			/* current mode byte */
 };
_
